Tamale Loco

Your Shockwave Player version is outdated.
You have to install the latest version of Shockwave Player in order to play this game.

Destription

Kill your enemies and jump over things.